PAM_SM_OPEN_SESSION(3)

NAME
pam_sm_open_session - service module implementation for pam_open_session

LIBRARY
libpam

SYNOPSIS
#include <sys/types.h>
#include <security/pam_appl.h>
#include <security/pam_modules.h>
int
pam_sm_open_session(pam_handle_t *pamh, int flags, int argc, const char **argv);

DESCRIPTION
The pam_sm_open_session function is the service module's implementation of the pam_open_session(3) API function.

RETURN VALUES
The pam_sm_open_session function returns one of the following values:

[PAM_ABORT]
    General failure.

[PAM_BUF_ERR]
    Memory buffer error.

[PAM_CONV_ERR]
    Conversation failure.

[PAM_IGNORE]
    Ignore this module.

[PAM_PERM_DENIED]
    Permission denied.

[PAM_SERVICE_ERR]
    Error in service module.

[PAM_SESSION_ERR]
    Session failure.

[PAM_SYSTEM_ERR]
    System error.

SEE ALSO
pam(3), pam_open_session(3), pam_strerror(3)

STANDARDS
X/Open Single Sign-On Service (XSSO) - Pluggable Authentication Modules, June 1997.

AUTHORS
The pam_sm_open_session function and this manual page were developed for the FreeBSD Project by ThinkSec AS and Network Associates Laboratories, the Security Research Division of Network Associates, Inc. under DARPA/SPAWAR contract N66001-01-C-8035 (“CBOSS”), as part of the DARPA CHATS research program.